%ifarch %{arm}
%define build_docs     0
%else
%define build_docs     0
%endif

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2

%define rel 1

%define qtversion      %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtgamepad   %mklibname qt5gamepad %{qtmajor}
%define libqtgamepad_d %mklibname qt5gamepad -d

%define qttarballdir   qtgamepad-everywhere-src-%{qtversion}

Name:           qtgamepad5
Version:        5.11.2
Release:        %mkrel 1
Summary:        Qt%{qtmajor} Gamepad component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  %{_lib}qt5devicediscoverysupport-static-devel

%description
Qt%{qtmajor} Gamepad provides a way to display web content in a QML application
without necessarily including a full web browser stack by using native APIs
where it makes sense.

%files
%{_qt5_qml}/QtGamepad/
%{_qt5_plugindir}/gamepads/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtGamepad%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtGamepad%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtgamepad.qch
%{_qt5_docdir}/qtgamepad/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtgamepad}
Summary:        Qt%{qtmajor} Gamepad Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtgamepad}
Qt%{qtmajor} Gamepad Component Library.

%files -n %{libqtgamepad}
%{_qt5_libdir}/libQt5Gamepad.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtgamepad_d}
Summary:        Devel files needed to build apps based on QtGamepad
Group:          Development/KDE and Qt
Requires:       %{libqtgamepad} = %{version}
Provides:       libqtgamepad5-devel = %{version}
Provides:       libqt5gamepad-devel = %{version}
Provides:       qtgamepad5-devel = %{version}
Provides:       qt5gamepad-devel = %{version}

%description -n %{libqtgamepad_d}
Devel files needed to build apps based on Qt Gamepad.

%files -n %{libqtgamepad_d}
%{_qt5_includedir}/QtGamepad/
%{_qt5_libdir}/libQt5Gamepad.so
%{_qt5_libdir}/pkgconfig/Qt5Gamepad.pc
%{_qt5_libdir}/cmake/Qt5Gamepad/
%{_qt5_libdir}/*.prl
%{_qt5_prefix}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/gamepad/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtgamepad-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sun Oct 14 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
